package com.cooleshow.usercenter.ui.activity

import android.os.Bundle
import android.view.View
import com.alibaba.android.arouter.facade.annotation.Route
import com.cooleshow.base.ui.activity.BaseMvpActivity
import com.cooleshow.provider.router.RouterPath
import com.cooleshow.usercenter.R
import com.cooleshow.usercenter.data.protocol.UserInfo
import com.cooleshow.usercenter.injection.component.DaggerUserComponent
import com.cooleshow.usercenter.injection.module.UserModule
import com.cooleshow.usercenter.presenter.LoginPresenter
import com.cooleshow.usercenter.presenter.view.LoginView

@Route(path = RouterPath.UserCenter.PATH_LOGIN)
class LoginActivity : BaseMvpActivity<LoginPresenter>(), LoginView, View.OnClickListener{


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)

        initView()
    }

    private fun initView() {


    }


    override fun injectComponent() {
        DaggerUserComponent.builder()
            .activityComponent(mActivityComponent)
            .userModule(UserModule())
            .build()
            .inject(this)
        mPresenter.mView = this
    }

    override fun onClick(v: View?) {
        TODO("Not yet implemented")
    }

    override fun onLoginResult(result: UserInfo) {
        TODO("Not yet implemented")
    }
}